body {
	font-family: helvetica, sans-serif;
}
body > nav {
    position: fixed;
    top: 0;
    left: 0;
    background-color: #333;
    color: white;
    width: 100%;
    height: 2.5em;
}
body > nav ul {
	list-style: none;
	margin: 0;
	padding: 0;
}
body > nav a {
	text-decoration: none;
}
body > nav > ul > li {
	float: left;
	margin: 0px 10px;
	line-height: 2.5em;
}
body > nav > ul > li > a {
	color: white;
}
body > nav > ul > li > ul {
	display: none;
	position: fixed;
	top: 2.5em;
	left: 0;
	bottom: 0;
	background-color: #EEE;
	width: 230px;
	overflow: auto;
	padding: 10px;
}
body > nav > ul > li > ul a {
	color: #333;
}
body > nav > ul > li > a.pattern-active + ul {
	display: block;
}
body > nav > ul.views {
	float: right;
}
ul.pattern-tabs {
	margin: 0;
	padding: 0;
	list-style: none;
	overflow: hidden;
}
ul.pattern-tabs li {
	float: left;
	margin: 0 2px;
	padding: 2px 5px;
	border: 1px solid #888;
	border-bottom: 0px;
}
ul.pattern-tabs li a {
	text-decoration: none;
	color: #333;
}
pre.pattern-code {
	width: 98%;
	width: calc(100% - 16px);
	background-color: #EEE;
	overflow: hidden;
	margin: 0;
	box-sizing: border-box;
}
pre.pattern-code code {
	height: 100%;
	box-sizing: border-box;
}
body > main {
	position: fixed;
	top: 2.5em;
	left: 250px;
	right: 0;
	bottom: 0;
	overflow: auto;
	padding: 10px;
	width: 100%;
    height: 100%;
    box-sizing: border-box;
    border-bottom: 40px solid transparent;
    border-right: 250px solid transparent;
    padding: 0;
    overflow: hidden;
}
body.pattern-ios > main {
    -webkit-overflow-scrolling: touch;
    overflow-y:auto;
}
body > main > iframe {
	width: 100%;
	height: 100%;
	border: 0px;
}
body.pattern-view-mobile main {
  box-shadow: inset 0 0 3px 0 rgba(0,0,0,0.2), 0 0 0 1px #999, 0 0 30px 0px rgba(0,0,0,0.7);
  border: 5px solid #d9dbdc;
  background: #f8f8f8;
  padding: 15px;
  border-radius: 50px;
  height: 877px;
  width: 423px;
  top: 3.5em;
  left: 270px;
}
body.pattern-view-mobile main:before {
	padding: 5px 110px 40px;
	display: block;
	content: "";
}
body.pattern-view-mobile main iframe {
    height: 677px;
    width: 375px;
    margin: 0 auto;
    border: 2px solid rgba(0, 0, 0, 0.9);
    border-radius: 3px;
}
body.pattern-view-mobile main .bottom {
	content: "";
    display: block;
    margin: 15px auto;
    width: 68px;
    height: 68px;
    background: #ccc;
    border-radius: 50%;
    background: -webkit-linear-gradient(315deg, #303233 0%, #b5b7b9 50%, #f0f2f2 69%, #303233 100%);
    background: linear-gradient(135deg, #303233 0%, #b5b7b9 50%, #f0f2f2 69%, #303233 100%);
    position: relative;
}
body.pattern-view-mobile main .bottom:after {
    content: "";
    display: block;
    width: 60px;
    height: 60px;
    background: #fff;
    border-radius: 50%;
    position: absolute;
    left: 4px;
    top: 4px;
}
#patternConsole {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 200px;
    max-height: 300px;
    overflow: auto;
}
